Retrieve Agent Tools in a Project

get

/ic/api/integration/v1/projects/{projectId}/ai/tools

Returns all Agent Tools available to AI Agents in the project.

Request

Path Parameters
Query Parameters
  • This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
  • Use with the offset parameter for paginating through the returned results. The limit is the maximum number of items to return at one time. For example, offset=3&limit=16 indicates to list Agent Tools starting at the 4th item, and the list will contain 16 items.
  • Use with the limit parameter for paginating through the returned results. The offset is the starting point from which to return records. For example, offset=3&limit=16 indicates to list Agent Tools starting at the 4th item, and the list will contain 16 items.
  • Lists Agent Tools ordered by name, last updated time.

    Valid values:

    • name: Order Agent Tools by name.
    • time: Order Agent Tools by the last updated time.
  • Filters Agent Tools by name.

    Valid parameters:

    • name: Name of the Agent Tool. For example:
      • To retrieve all Agent Tools that contain the specified string in the name, specify:
        q={name: /ORDER/}

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : ToolsRs
Match All
Show Source
Nested Schema : GenericRestRs
Type: object
Show Source
Nested Schema : ToolsRs-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
List of Tools
Show Source
Nested Schema : ToolListRs
Match All
Show Source
Nested Schema : IdRs
Match All
Show Source
Nested Schema : IdRs-allOf[1]
Type: object
Show Source
Nested Schema : ToolListRs-allOf[2]
Type: object
Show Source
Nested Schema : ToolConnectionRs
Type: object
Show Source
Nested Schema : ToolIntegrationRs
Type: object
Show Source

400 Response

Malformed parameters

500 Response

Server error
Back to Top

Examples

The following example shows how to retrieve all the agent tools available to AI agents in a project by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.

Example: Retrieve agent tools in project TEST_PROJECT

This command retrieves all agent tools available in the specified project.

curl -X GET -H 'Authorization: Bearer access_token' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/tools?integrationInstance=service-instance

Example: Retrieve agent tools filtered by name

This command retrieves Agent Tools whose name contains ORDER. The results are sorted by name and limited to 10 records.

curl -X GET -H 'Authorization: Bearer access_token' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/tools?q={name:/ORDER/}&orderBy=name&offset=0&limit=10&integrationInstance=service-instance
Back to Top